import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {TerminologyComponent} from "./terminology.component";
import {SeeHowItWorksComponent} from "./see-how-it-works.component";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../../utils/piwik/previousRouteRecorder.guard";
import {PageContentModule} from "../../dashboard/sharedComponents/page-content/page-content.module";
import {HowModule} from "../how/how.module";
import {TabsModule} from "../../utils/tabs/tabs.module";
import {IconsModule} from "../../utils/icons/icons.module";
import {IconsService} from "../../utils/icons/icons.service";
import {graph} from "../../utils/icons/icons";
import {BreadcrumbsModule} from "../../utils/breadcrumbs/breadcrumbs.module";

@NgModule({
  declarations: [TerminologyComponent, SeeHowItWorksComponent],
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      redirectTo: 'terminology',
      canDeactivate: [PreviousRouteRecorder]
    },
    {
      path: 'terminology',
      component: TerminologyComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
    {
      path: 'how',
      component: SeeHowItWorksComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
  ]), PageContentModule, HowModule, TabsModule, IconsModule, BreadcrumbsModule],
  exports: [TerminologyComponent, SeeHowItWorksComponent]
})
export class MethodologyModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([graph]);
  }
}
